For the complete documentation index, see llms.txt. This page is also available as Markdown.

Expenses

All API Operations related with Expenses

READ Scope

List all expenses

post

Retrieves all the expenses that match with provided filters

Authorizations
AuthorizationstringRequired

API Key Authentication

Body
startDatestring · nullableOptional

Starting date to be applied to date filter. Should be formatted in YYYY-MM-DD format

endDatestring · nullableOptional

End date to be applied to date filter. Should be formatted in YYYY-MM-DD format

supplierIdstring · uuid · nullableOptional

32-character unique ID to filter a specific business entity. If you don't know the ID, you can also provide supplierCode instead of this field. If both of them are provided, supplierId will be used only.

supplierCodestring · nullableOptional

User-generated custom unique code to filter a specific business entity. If supplierId is also provided, it will override this filter.

tagNamestring · nullableOptional

Name of the tag to be included in the filtering. Case sensitive. It should exactly match with the name in the Nuvio Platform.

projectNamestring · nullableOptional

Name of the project to be included in the filtering. Case sensitive. It should exactly match with the name in the Nuvio Platform.

projectCodestring · nullableOptional

User generated code of the project to be included in the filtering. Case sensitive. It should exactly match with the code in the Nuvio Platform.

paymentStatusstring · nullableOptional

Select one of the enum values to filter specific incomes that matches with required payment status.

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
post/v1/list-expenses
200

OK

Get an Expense by ID

get

Retrieves an expense by its unique UID

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstringRequired
Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
get/v1/expense/{id}
200

OK

WRITE Scope

Create a new Expense

post

Creates a new expense from scratch

Authorizations
AuthorizationstringRequired

API Key Authentication

Body
referenceNumberstringOptional

Invoice or receipt number of the received expense, formatted in string. Accepts alpha numeric characters and '-' symbol.

descriptionstring · min: 1Required

Description of the expense. This will also be its title in the Nuvio Platform.

expenseDatestring · min: 1Required

The date of the expense. Should be formatted in YYYY-MM-DD format

dueDatestring · min: 1Required

Due date of the payment for this expense. Should be formatted in YYYY-MM-DD format.

currencystringOptional

3-letter currency code. You can find all the available currencies here.

projectIdstring · uuidOptional

32-character unique ID of the related project. If you don't know the ID, you can also provide projectCode instead of this field. If both of them are provided projectId will be used only.

projectCodestringOptional

User-generated custom code of the related project. If `projectId`` is also provided, it will override this field.

supplierIdstring · uuidOptional

32-character unique ID of the supplier. If you don't know the ID, you can also provide supplierCode instead of this field. If both of them are provided, supplierId will be used only.

supplierCodestringOptional

User-generated custom unique code of the specific supplier. If supplierId is also provided, it will override this field.

tagsstring · uuid[]Optional

List of the tags that are related to this expense. Provide a list of tags with their 32-character unique ID.

exchangeRatenumber · doubleOptional

If currency is different than your company's functional currency, this will be the exchange rate that Nuvio will use while converting the amounts of this expense to company's functional currency. Should be number with 4 decimal points. eg. 32.4325

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
post/v1/expense
200

OK

UPDATE Scope

Update expense

put

Updates an existing expense

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstring · uuidRequired
Body
referenceNumberstringOptional

Invoice or receipt number of the received expense, formatted in string. Accepts alpha numeric characters and '-' symbol.

descriptionstringOptional

Description of the expense. This will also be its title in the Nuvio Platform.

expenseDatestringOptional

The date of the expense. Should be formatted in YYYY-MM-DD format

dueDatestringOptional

Due date of the payment for this expense. Should be formatted in YYYY-MM-DD format

currencystringOptional

3-letter currency code. You can find all the available currencies here.

projectIdstring · uuidOptional

32-character unique ID of the related project. If you don't know the ID, you can also provide projectCode instead of this field. If both of them are provided projectId will be used only.

projectCodestringOptional

User-generated custom code of the related project. If projectId is also provided, it will override this field.

supplierIdstring · uuidOptional

32-character unique ID of the supplier. If you don't know the ID, you can also provide supplierCode instead of this field. If both of them are provided, supplierId will be used only.

supplierCodestringOptional

User-generated custom unique code of the specific supplier. If supplierId is also provided, it will override this field.

tagsstring · uuid[]Optional

List of the tags that are related to this expense. Provide a list of tags with their 32-character unique ID.

exchangeRatenumber · double · nullableOptional

If currency is different than your company's functional currency, this will be the exchange rate that Nuvio will use while converting the amounts of this expense to company's functional currency. Should be number with 4 decimal points. eg. 32.4325

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
put/v1/expense/{id}
200

OK

Last updated